Debian Bug report logs - #665493
linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jeroen Nijhof <jeroen@nijhof.co.uk>

Date: Sat, 24 Mar 2012 17:39:01 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Found in versions linux-2.6/3.2.17-1, 3.2.12-1

Fixed in version 3.2.32-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=46481

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sat, 24 Mar 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Nijhof <jeroen@nijhof.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Mar 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen Nijhof <jeroen@nijhof.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sat, 24 Mar 2012 18:14:10 +0100
Package: linux-2.6
Version: 3.2.12-1
Severity: normal

After today's upgrade linux-image-3.2.0-2-amd64 fails to boot - 
version 3.2.9-1 was ok (and linux-image-3.2.0-1  version 3.2.6-1 still boots,
fortunately).
I could boot into the single user kernel -- but I had to press
control-C at some point to get the booting to continue.
Also, after a while udev starts complaining:

udevd[364]: timeout: killing '/sbin/modprobe -b pci:v00008086d00001C20sv0000103Csd00003581bc04sc03i00' [411]

udevd[366]: timeout: killing '/sbin/modprobe -b pci:v00001002d00006760sv0000103Csd00003581bc03sc00i00' [411]

over and over again. I've included the dmesg output below under 'Kernel log'.
There's an Oops in there: 
[    7.869997] [drm:drm_pci_agp_init] *ERROR* Cannot initialize the agpgart modu
le.
[    7.870078] BUG: unable to handle kernel paging request at 0000000000001990
[    7.870223] IP: [<ffffffffa02b82ee>] intel_fb_restore_mode+0x9/0x3f [i915]
[    7.870349] PGD 252ae2067 PUD 2554e8067 PMD 0 
[    7.870529] Oops: 0000 [#1] SMP
...
( I pressed control-C after 10s, so after the cfg80211 messages)


In multi-user mode I also get a long way, after pressing control-C at one point -- but X and/or gdm never manage to start.

( apologies if this was reported already - bugs.debian.org timed out on
  bugs for src:linux-2.6 )

Best regards,

Jeroen Nijhof

-- Package-specific info:
** Kernel log: boot messages should be attached

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.2.0-2-amd64 (Debian 3.2.12-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-1) ) #1 SMP Tue Mar 20 18:36:37 UTC 2012
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-2-amd64 root=UUID=473793cd-80da-49de-bfef-10d024473409 ro single
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009d800 (usable)
[    0.000000]  BIOS-e820: 000000000009d800 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000009ce3f000 (usable)
[    0.000000]  BIOS-e820: 000000009ce3f000 - 000000009cebf000 (reserved)
[    0.000000]  BIOS-e820: 000000009cebf000 - 000000009cfbf000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000009cfbf000 - 000000009cfff000 (ACPI data)
[    0.000000]  BIOS-e820: 000000009cfff000 - 000000009d000000 (usable)
[    0.000000]  BIOS-e820: 000000009d000000 - 000000009fa00000 (reserved)
[    0.000000]  BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[    0.000000]  BIOS-e820: 00000000feb00000 - 00000000feb04000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed10000 - 00000000fed1a000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed1c000 - 00000000fed20000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000ffd80000 - 0000000100000000 (reserved)
[    0.000000]  BIOS-e820: 0000000100000000 - 000000025fe00000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] DMI 2.7 present.
[    0.000000] DMI: Hewlett-Packard HP Pavilion dv6 Notebook PC/3581, BIOS F.1A 07/20/2011
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[    0.000000] No AGP bridge found
[    0.000000] last_pfn = 0x25fe00 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask F80000000 write-back
[    0.000000]   1 base 080000000 mask FE0000000 write-back
[    0.000000]   2 base 09D000000 mask FFF000000 uncachable
[    0.000000]   3 base 09E000000 mask FFE000000 uncachable
[    0.000000]   4 base 0FFC00000 mask FFFC00000 write-protect
[    0.000000]   5 base 100000000 mask F00000000 write-back
[    0.000000]   6 base 200000000 mask FC0000000 write-back
[    0.000000]   7 base 240000000 mask FF0000000 write-back
[    0.000000]   8 base 250000000 mask FF0000000 write-back
[    0.000000]   9 base 25FE00000 mask FFFE00000 uncachable
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] last_pfn = 0x9d000 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [ffff8800000fe1b0] fe1b0
[    0.000000] initial memory mapped : 0 - 20000000
[    0.000000] Base memory trampoline at [ffff880000098000] 98000 size 20480
[    0.000000] init_memory_mapping: 0000000000000000-000000009d000000
[    0.000000]  0000000000 - 009d000000 page 2M
[    0.000000] kernel direct mapping tables up to 9d000000 @ 1fffc000-20000000
[    0.000000] init_memory_mapping: 0000000100000000-000000025fe00000
[    0.000000]  0100000000 - 025fe00000 page 2M
[    0.000000] kernel direct mapping tables up to 25fe00000 @ 9ce34000-9ce3f000
[    0.000000] RAMDISK: 36a80000 - 37538000
[    0.000000] ACPI: RSDP 00000000000fe020 00024 (v02 HPQOEM)
[    0.000000] ACPI: XSDT 000000009cffe120 00094 (v01 HPQOEM SLIC-MPC 00000001      01000013)
[    0.000000] ACPI: FACP 000000009cffc000 000F4 (v04 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[    0.000000] ACPI: DSDT 000000009cfec000 0C553 (v01 HP     INSYDE   00000000 MSFT 01000013)
[    0.000000] ACPI: FACS 000000009cf6c000 00040
[    0.000000] ACPI: ASF! 000000009cffd000 000A5 (v32 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: HPET 000000009cffb000 00038 (v01 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: APIC 000000009cffa000 0008C (v02 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: MCFG 000000009cff9000 0003C (v01 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: SLIC 000000009cfeb000 00176 (v01 HPQOEM SLIC-MPC 00000001 MSFT 01000013)
[    0.000000] ACPI: SSDT 000000009cfea000 0051F (v01 HP     INSYDE   00001000 MSFT 01000013)
[    0.000000] ACPI: BOOT 000000009cfe8000 00028 (v01 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: ASPT 000000009cfe5000 00034 (v07 HP     INSYDE   00000001 MSFT 01000013)
[    0.000000] ACPI: SSDT 000000009cfe4000 0094E (v01 HP     INSYDE   00003000 INTL 20100806)
[    0.000000] ACPI: SSDT 000000009cfe3000 00996 (v01 HP     INSYDE   00003000 INTL 20100806)
[    0.000000] ACPI: SSDT 000000009cfe2000 002DA (v01 HP     INSYDE   00003000 INTL 20100806)
[    0.000000] ACPI: SSDT 000000009cfe1000 0035D (v01 HP     INSYDE   00003000 INTL 20100806)
[    0.000000] ACPI: SSDT 000000009cfdb000 024A1 (v01 HP     INSYDE   00001000 INTL 20100806)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at 0000000000000000-000000025fe00000
[    0.000000] Initmem setup node 0 0000000000000000-000000025fe00000
[    0.000000]   NODE_DATA [000000025fdfb000 - 000000025fdfffff]
[    0.000000]  [ffffea0000000000-ffffea00085fffff] PMD -> [ffff880257400000-ffff88025e5fffff] on node 0
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   DMA32    0x00001000 -> 0x00100000
[    0.000000]   Normal   0x00100000 -> 0x0025fe00
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[4] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009d
[    0.000000]     0: 0x00000100 -> 0x0009ce3f
[    0.000000]     0: 0x0009cfff -> 0x0009d000
[    0.000000]     0: 0x00100000 -> 0x0025fe00
[    0.000000] On node 0 totalpages: 2083789
[    0.000000]   DMA zone: 56 pages used for memmap
[    0.000000]   DMA zone: 5 pages reserved
[    0.000000]   DMA zone: 3920 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 14280 pages used for memmap
[    0.000000]   DMA32 zone: 624248 pages, LIFO batch:31
[    0.000000]   Normal zone: 19705 pages used for memmap
[    0.000000]   Normal zone: 1421575 pages, LIFO batch:31
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x04] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x05] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x06] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x08] lapic_id[0x07] enabled)
[    0.000000] ACPI: IOAPIC (id[0x00] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 0, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] SMP: Allowing 8 CPUs, 0 hotplug CPUs
[    0.000000] nr_irqs_gsi: 40
[    0.000000] PM: Registered nosave memory: 000000000009d000 - 000000000009e000
[    0.000000] PM: Registered nosave memory: 000000000009e000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000e0000
[    0.000000] PM: Registered nosave memory: 00000000000e0000 - 0000000000100000
[    0.000000] PM: Registered nosave memory: 000000009ce3f000 - 000000009cebf000
[    0.000000] PM: Registered nosave memory: 000000009cebf000 - 000000009cfbf000
[    0.000000] PM: Registered nosave memory: 000000009cfbf000 - 000000009cfff000
[    0.000000] PM: Registered nosave memory: 000000009d000000 - 000000009fa00000
[    0.000000] PM: Registered nosave memory: 000000009fa00000 - 00000000e0000000
[    0.000000] PM: Registered nosave memory: 00000000e0000000 - 00000000f0000000
[    0.000000] PM: Registered nosave memory: 00000000f0000000 - 00000000feb00000
[    0.000000] PM: Registered nosave memory: 00000000feb00000 - 00000000feb04000
[    0.000000] PM: Registered nosave memory: 00000000feb04000 - 00000000fec00000
[    0.000000] PM: Registered nosave memory: 00000000fec00000 - 00000000fec01000
[    0.000000] PM: Registered nosave memory: 00000000fec01000 - 00000000fed10000
[    0.000000] PM: Registered nosave memory: 00000000fed10000 - 00000000fed1a000
[    0.000000] PM: Registered nosave memory: 00000000fed1a000 - 00000000fed1c000
[    0.000000] PM: Registered nosave memory: 00000000fed1c000 - 00000000fed20000
[    0.000000] PM: Registered nosave memory: 00000000fed20000 - 00000000fee00000
[    0.000000] PM: Registered nosave memory: 00000000fee00000 - 00000000fee01000
[    0.000000] PM: Registered nosave memory: 00000000fee01000 - 00000000ffd80000
[    0.000000] PM: Registered nosave memory: 00000000ffd80000 - 0000000100000000
[    0.000000] Allocating PCI resources starting at 9fa00000 (gap: 9fa00000:40600000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:512 nr_cpumask_bits:512 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] PERCPU: Embedded 28 pages/cpu @ffff88025fa00000 s82304 r8192 d24192 u262144
[    0.000000] pcpu-alloc: s82304 r8192 d24192 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 2049743
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-2-amd64 root=UUID=473793cd-80da-49de-bfef-10d024473409 ro single
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] xsave/xrstor: enabled xstate_bv 0x7, cntxt size 0x340
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Calgary: detecting Calgary via BIOS EBDA area
[    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.000000] Memory: 8131952k/9959424k available (3402k kernel code, 1624268k absent, 203204k reserved, 3330k data, 568k init)
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] NR_IRQS:33024 nr_irqs:744 16
[    0.000000] Extended CMOS year: 2000
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] hpet clockevent registered
[    0.000000] Fast TSC calibration using PIT
[    0.004000] Detected 2195.022 MHz processor.
[    0.000003] Calibrating delay loop (skipped), value calculated using timer frequency.. 4390.04 BogoMIPS (lpj=8780088)
[    0.000127] pid_max: default: 32768 minimum: 301
[    0.000226] Security Framework initialized
[    0.000289] AppArmor: AppArmor disabled by boot time parameter
[    0.001065] Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.002997] Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.003810] Mount-cache hash table entries: 256
[    0.004000] Initializing cgroup subsys cpuacct
[    0.004064] Initializing cgroup subsys memory
[    0.004134] Initializing cgroup subsys devices
[    0.004196] Initializing cgroup subsys freezer
[    0.004255] Initializing cgroup subsys net_cls
[    0.004316] Initializing cgroup subsys blkio
[    0.004378] Initializing cgroup subsys perf_event
[    0.004466] CPU: Physical Processor ID: 0
[    0.004525] CPU: Processor Core ID: 0
[    0.004587] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.004588] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.004715] mce: CPU supports 9 MCE banks
[    0.004785] CPU0: Thermal monitoring handled by SMI
[    0.004792] using mwait in idle threads.
[    0.005336] ACPI: Core revision 20110623
[    0.030216] x2apic not enabled, IRQ remapping init failed
[    0.030695] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.070398] CPU0: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz stepping 07
[    0.175644] Performance Events: PEBS fmt1+, SandyBridge events, Intel PMU driver.
[    0.175842] PEBS disabled due to CPU errata.
[    0.175902] ... version:                3
[    0.175961] ... bit width:              48
[    0.176020] ... generic registers:      4
[    0.176080] ... value mask:             0000ffffffffffff
[    0.176141] ... max period:             000000007fffffff
[    0.176202] ... fixed-purpose events:   3
[    0.176260] ... event mask:             000000070000000f
[    0.176460] NMI watchdog enabled, takes one hw-pmu counter.
[    0.176618] Booting Node   0, Processors  #1
[    0.176706] smpboot cpu 1: start_ip = 98000
[    0.267564] CPU1: Thermal monitoring handled by SMI
[    0.287629] NMI watchdog enabled, takes one hw-pmu counter.
[    0.287793]  #2
[    0.287836] smpboot cpu 2: start_ip = 98000
[    0.375438] CPU2: Thermal monitoring handled by SMI
[    0.395550] NMI watchdog enabled, takes one hw-pmu counter.
[    0.395710]  #3
[    0.395752] smpboot cpu 3: start_ip = 98000
[    0.483313] CPU3: Thermal monitoring handled by SMI
[    0.503368] NMI watchdog enabled, takes one hw-pmu counter.
[    0.503528]  #4
[    0.503571] smpboot cpu 4: start_ip = 98000
[    0.591190] CPU4: Thermal monitoring handled by SMI
[    0.611282] NMI watchdog enabled, takes one hw-pmu counter.
[    0.611440]  #5
[    0.611483] smpboot cpu 5: start_ip = 98000
[    0.699064] CPU5: Thermal monitoring handled by SMI
[    0.719099] NMI watchdog enabled, takes one hw-pmu counter.
[    0.719258]  #6
[    0.719301] smpboot cpu 6: start_ip = 98000
[    0.806941] CPU6: Thermal monitoring handled by SMI
[    0.827014] NMI watchdog enabled, takes one hw-pmu counter.
[    0.827174]  #7 Ok.
[    0.827230] smpboot cpu 7: start_ip = 98000
[    0.914816] CPU7: Thermal monitoring handled by SMI
[    0.934893] NMI watchdog enabled, takes one hw-pmu counter.
[    0.934980] Brought up 8 CPUs
[    0.935038] Total of 8 processors activated (35118.88 BogoMIPS).
[    0.942917] devtmpfs: initialized
[    0.947577] PM: Registering ACPI NVS region at 9cebf000 (1048576 bytes)
[    0.947832] print_constraints: dummy: 
[    0.947951] NET: Registered protocol family 16
[    0.948102] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.948180] ACPI: bus type pci registered
[    0.948322] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.948403] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.970802] PCI: Using configuration type 1 for base access
[    0.971647] bio: create slab <bio-0> at 0
[    0.971802] ACPI: Added _OSI(Module Device)
[    0.971862] ACPI: Added _OSI(Processor Device)
[    0.971922] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.971983] ACPI: Added _OSI(Processor Aggregator Device)
[    0.973633] ACPI: EC: Look up EC in DSDT
[    0.975143] ACPI: Executed 1 blocks of module-level executable AML code
[    1.002797] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    1.003499] ACPI: SSDT 000000009ce70798 00727 (v01  PmRef  Cpu0Cst 00003001 INTL 20100806)
[    1.004082] ACPI: Dynamic OEM Table Load:
[    1.004222] ACPI: SSDT           (null) 00727 (v01  PmRef  Cpu0Cst 00003001 INTL 20100806)
[    1.015092] ACPI: SSDT 000000009ce71a98 00303 (v01  PmRef    ApIst 00003000 INTL 20100806)
[    1.015727] ACPI: Dynamic OEM Table Load:
[    1.015867] ACPI: SSDT           (null) 00303 (v01  PmRef    ApIst 00003000 INTL 20100806)
[    1.026878] ACPI: SSDT 000000009ce6fd98 00119 (v01  PmRef    ApCst 00003000 INTL 20100806)
[    1.027444] ACPI: Dynamic OEM Table Load:
[    1.027582] ACPI: SSDT           (null) 00119 (v01  PmRef    ApCst 00003000 INTL 20100806)
[    1.043772] ACPI: Interpreter enabled
[    1.043832] ACPI: (supports S0 S3 S4 S5)
[    1.044079] ACPI: Using IOAPIC for interrupt routing
[    1.054085] ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
[    1.054585] ACPI: ACPI Dock Station Driver: 1 docks/bays found
[    1.054653] HEST: Table not found.
[    1.054712] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    1.055223] \_SB_.PCI0:_OSC invalid UUID
[    1.055224] _OSC request data:1 8 1f 
[    1.055228] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    1.056040] pci_root PNP0A08:00: host bridge window [io  0x0000-0x0cf7]
[    1.056105] pci_root PNP0A08:00: host bridge window [io  0x0d00-0xffff]
[    1.056169] pci_root PNP0A08:00: host bridge window [mem 0x000a0000-0x000bffff]
[    1.056246] pci_root PNP0A08:00: host bridge window [mem 0x9fa00000-0xfeafffff]
[    1.056334] pci 0000:00:00.0: [8086:0104] type 0 class 0x000600
[    1.056372] pci 0000:00:01.0: [8086:0101] type 1 class 0x000604
[    1.056405] pci 0000:00:01.0: PME# supported from D0 D3hot D3cold
[    1.056408] pci 0000:00:01.0: PME# disabled
[    1.056428] pci 0000:00:02.0: [8086:0116] type 0 class 0x000300
[    1.056438] pci 0000:00:02.0: reg 10: [mem 0xc0000000-0xc03fffff 64bit]
[    1.056445] pci 0000:00:02.0: reg 18: [mem 0xb0000000-0xbfffffff 64bit pref]
[    1.056449] pci 0000:00:02.0: reg 20: [io  0x6000-0x603f]
[    1.056506] pci 0000:00:16.0: [8086:1c3a] type 0 class 0x000780
[    1.056530] pci 0000:00:16.0: reg 10: [mem 0xc7404000-0xc740400f 64bit]
[    1.056609] pci 0000:00:16.0: PME# supported from D0 D3hot D3cold
[    1.056613] pci 0000:00:16.0: PME# disabled
[    1.056647] pci 0000:00:1a.0: [8086:1c2d] type 0 class 0x000c03
[    1.057015] pci 0000:00:1a.0: reg 10: [mem 0xc740a000-0xc740a3ff]
[    1.059172] pci 0000:00:1a.0: PME# supported from D0 D3hot D3cold
[    1.059177] pci 0000:00:1a.0: PME# disabled
[    1.059205] pci 0000:00:1b.0: [8086:1c20] type 0 class 0x000403
[    1.059221] pci 0000:00:1b.0: reg 10: [mem 0xc7400000-0xc7403fff 64bit]
[    1.059292] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    1.059297] pci 0000:00:1b.0: PME# disabled
[    1.059320] pci 0000:00:1c.0: [8086:1c10] type 1 class 0x000604
[    1.059403] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    1.059407] pci 0000:00:1c.0: PME# disabled
[    1.059432] pci 0000:00:1c.1: [8086:1c12] type 1 class 0x000604
[    1.059514] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    1.059518] pci 0000:00:1c.1: PME# disabled
[    1.059544] pci 0000:00:1c.2: [8086:1c14] type 1 class 0x000604
[    1.059626] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    1.059631] pci 0000:00:1c.2: PME# disabled
[    1.059665] pci 0000:00:1d.0: [8086:1c26] type 0 class 0x000c03
[    1.060025] pci 0000:00:1d.0: reg 10: [mem 0xc7409000-0xc74093ff]
[    1.062162] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    1.062167] pci 0000:00:1d.0: PME# disabled
[    1.062194] pci 0000:00:1f.0: [8086:1c49] type 0 class 0x000601
[    1.062324] pci 0000:00:1f.2: [8086:1c03] type 0 class 0x000106
[    1.062344] pci 0000:00:1f.2: reg 10: [io  0x6098-0x609f]
[    1.062353] pci 0000:00:1f.2: reg 14: [io  0x60bc-0x60bf]
[    1.062361] pci 0000:00:1f.2: reg 18: [io  0x6090-0x6097]
[    1.062370] pci 0000:00:1f.2: reg 1c: [io  0x60b8-0x60bb]
[    1.062378] pci 0000:00:1f.2: reg 20: [io  0x6060-0x607f]
[    1.062387] pci 0000:00:1f.2: reg 24: [mem 0xc7408000-0xc74087ff]
[    1.062434] pci 0000:00:1f.2: PME# supported from D3hot
[    1.062438] pci 0000:00:1f.2: PME# disabled
[    1.062457] pci 0000:00:1f.3: [8086:1c22] type 0 class 0x000c05
[    1.062474] pci 0000:00:1f.3: reg 10: [mem 0xc7406000-0xc74060ff 64bit]
[    1.062496] pci 0000:00:1f.3: reg 20: [io  0x6040-0x605f]
[    1.062559] pci 0000:01:00.0: [1002:6760] type 0 class 0x000300
[    1.062575] pci 0000:01:00.0: reg 10: [mem 0xa0000000-0xafffffff 64bit pref]
[    1.062589] pci 0000:01:00.0: reg 18: [mem 0xc6400000-0xc641ffff 64bit]
[    1.062598] pci 0000:01:00.0: reg 20: [io  0x5000-0x50ff]
[    1.062614] pci 0000:01:00.0: reg 30: [mem 0xfffe0000-0xffffffff pref]
[    1.062656] pci 0000:01:00.0: supports D1 D2
[    1.070635] pci 0000:00:01.0: PCI bridge to [bus 01-06]
[    1.070729] pci 0000:00:01.0:   bridge window [io  0x5000-0x5fff]
[    1.070732] pci 0000:00:01.0:   bridge window [mem 0xc6400000-0xc73fffff]
[    1.070736] pci 0000:00:01.0:   bridge window [mem 0xa0000000-0xafffffff 64bit pref]
[    1.070806] pci 0000:07:00.0: [10ec:8168] type 0 class 0x000200
[    1.070827] pci 0000:07:00.0: reg 10: [io  0x4000-0x40ff]
[    1.070862] pci 0000:07:00.0: reg 18: [mem 0xc0404000-0xc0404fff 64bit pref]
[    1.070884] pci 0000:07:00.0: reg 20: [mem 0xc0400000-0xc0403fff 64bit pref]
[    1.070979] pci 0000:07:00.0: supports D1 D2
[    1.070981] pci 0000:07:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    1.070987] pci 0000:07:00.0: PME# disabled
[    1.078634] pci 0000:00:1c.0: PCI bridge to [bus 07-0c]
[    1.078728] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    1.078732] pci 0000:00:1c.0:   bridge window [mem 0xc5400000-0xc63fffff]
[    1.078739] pci 0000:00:1c.0:   bridge window [mem 0xc0400000-0xc13fffff 64bit pref]
[    1.078846] pci 0000:0d:00.0: [14e4:4727] type 0 class 0x000280
[    1.078881] pci 0000:0d:00.0: reg 10: [mem 0xc4400000-0xc4403fff 64bit]
[    1.079048] pci 0000:0d:00.0: supports D1 D2
[    1.086655] pci 0000:00:1c.1: PCI bridge to [bus 0d-12]
[    1.086739] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    1.086743] pci 0000:00:1c.1:   bridge window [mem 0xc4400000-0xc53fffff]
[    1.086750] pci 0000:00:1c.1:   bridge window [mem 0xc1400000-0xc23fffff 64bit pref]
[    1.086821] pci 0000:13:00.0: [10ec:5209] type 0 class 0x00ff00
[    1.086842] pci 0000:13:00.0: reg 10: [mem 0xc3400000-0xc3400fff]
[    1.086926] pci 0000:13:00.0: reg 30: [mem 0xffff0000-0xffffffff pref]
[    1.086997] pci 0000:13:00.0: supports D1 D2
[    1.086998] pci 0000:13:00.0: PME# supported from D1 D2 D3hot
[    1.087004] pci 0000:13:00.0: PME# disabled
[    1.094615] pci 0000:00:1c.2: PCI bridge to [bus 13-18]
[    1.094710] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    1.094714] pci 0000:00:1c.2:   bridge window [mem 0xc3400000-0xc43fffff]
[    1.094721] pci 0000:00:1c.2:   bridge window [mem 0xc2400000-0xc33fffff 64bit pref]
[    1.094742] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    1.095001] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP01._PRT]
[    1.095051] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP02._PRT]
[    1.095099] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.RP03._PRT]
[    1.095167] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEG0._PRT]
[    1.095276] \_SB_.PCI0:_OSC invalid UUID
[    1.095277] _OSC request data:1 1f 1f 
[    1.095281]  pci0000:00: Requesting ACPI _OSC control (0x1d)
[    1.095386] \_SB_.PCI0:_OSC invalid UUID
[    1.095387] _OSC request data:1 0 1d 
[    1.095391]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
[    1.095469] ACPI _OSC control for PCIe not granted, disabling ASPM
[    1.100345] ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 10 11 12 14 15) *7
[    1.100992] ACPI: PCI Interrupt Link [LNKB] (IRQs 1 *3 4 5 6 10 11 12 14 15)
[    1.101585] ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 *4 5 6 10 11 12 14 15)
[    1.102179] ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 *10 11 12 14 15)
[    1.102778] ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3 4 5 6 10 11 12 14 15) *0, disabled.
[    1.103465] ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4 *5 6 10 11 12 14 15)
[    1.104058] ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4 5 6 *10 11 12 14 15)
[    1.104650] ACPI: PCI Interrupt Link [LNKH] (IRQs 1 3 4 5 6 10 *11 12 14 15)
[    1.105283] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    1.105370] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=none,locks=none
[    1.105449] vgaarb: loaded
[    1.105505] vgaarb: bridge control possible 0000:01:00.0
[    1.105567] vgaarb: no bridge control possible 0000:00:02.0
[    1.105663] PCI: Using ACPI for IRQ routing
[    1.112949] PCI: pci_cache_line_size set to 64 bytes
[    1.113060] reserve RAM buffer: 000000000009d800 - 000000000009ffff 
[    1.113062] reserve RAM buffer: 000000009ce3f000 - 000000009fffffff 
[    1.113066] reserve RAM buffer: 000000009d000000 - 000000009fffffff 
[    1.113068] reserve RAM buffer: 000000025fe00000 - 000000025fffffff 
[    1.113175] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    1.113595] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[    1.115673] Switching to clocksource hpet
[    1.117536] pnp: PnP ACPI init
[    1.117605] ACPI: bus type pnp registered
[    1.118044] pnp 00:00: [bus 00-fe]
[    1.118046] pnp 00:00: [io  0x0000-0x0cf7 window]
[    1.118048] pnp 00:00: [io  0x0cf8-0x0cff]
[    1.118050] pnp 00:00: [io  0x0d00-0xffff window]
[    1.118052] pnp 00:00: [mem 0x000a0000-0x000bffff window]
[    1.118054] pnp 00:00: [mem 0x000c0000-0x000c3fff window]
[    1.118056] pnp 00:00: [mem 0x000c4000-0x000c7fff window]
[    1.118058] pnp 00:00: [mem 0x000c8000-0x000cbfff window]
[    1.118060] pnp 00:00: [mem 0x000cc000-0x000cffff window]
[    1.118062] pnp 00:00: [mem 0x000d0000-0x000d3fff window]
[    1.118064] pnp 00:00: [mem 0x000d4000-0x000d7fff window]
[    1.118066] pnp 00:00: [mem 0x000d8000-0x000dbfff window]
[    1.118068] pnp 00:00: [mem 0x000dc000-0x000dffff window]
[    1.118070] pnp 00:00: [mem 0x000e0000-0x000e3fff window]
[    1.118072] pnp 00:00: [mem 0x000e4000-0x000e7fff window]
[    1.118074] pnp 00:00: [mem 0x000e8000-0x000ebfff window]
[    1.118076] pnp 00:00: [mem 0x000ec000-0x000effff window]
[    1.118080] pnp 00:00: [mem 0x000f0000-0x000fffff window]
[    1.118083] pnp 00:00: [mem 0x9fa00000-0xfeafffff window]
[    1.118129] pnp 00:00: Plug and Play ACPI device, IDs PNP0a08 PNP0a03 (active)
[    1.118150] pnp 00:01: [io  0x0000-0x001f]
[    1.118152] pnp 00:01: [io  0x0081-0x0091]
[    1.118153] pnp 00:01: [io  0x0093-0x009f]
[    1.118155] pnp 00:01: [io  0x00c0-0x00df]
[    1.118157] pnp 00:01: [dma 4]
[    1.118182] pnp 00:01: Plug and Play ACPI device, IDs PNP0200 (active)
[    1.118191] pnp 00:02: [mem 0xff000000-0xffffffff]
[    1.118214] pnp 00:02: Plug and Play ACPI device, IDs INT0800 (active)
[    1.118301] pnp 00:03: [mem 0xfed00000-0xfed003ff]
[    1.118326] pnp 00:03: Plug and Play ACPI device, IDs PNP0103 (active)
[    1.118337] pnp 00:04: [io  0x00f0]
[    1.118344] pnp 00:04: [irq 13]
[    1.118372] pnp 00:04: Plug and Play ACPI device, IDs PNP0c04 (active)
[    1.118383] pnp 00:05: [io  0x002e-0x002f]
[    1.118385] pnp 00:05: [io  0x004e-0x004f]
[    1.118387] pnp 00:05: [io  0x0061]
[    1.118389] pnp 00:05: [io  0x0063]
[    1.118390] pnp 00:05: [io  0x0065]
[    1.118392] pnp 00:05: [io  0x0067]
[    1.118393] pnp 00:05: [io  0x0070]
[    1.118395] pnp 00:05: [io  0x0080]
[    1.118396] pnp 00:05: [io  0x0092]
[    1.118398] pnp 00:05: [io  0x00b2-0x00b3]
[    1.118400] pnp 00:05: [io  0x0680-0x069f]
[    1.118401] pnp 00:05: [io  0x1000-0x100f]
[    1.118403] pnp 00:05: [io  0x1010-0x1013]
[    1.118405] pnp 00:05: [io  0xffff]
[    1.118406] pnp 00:05: [io  0x0400-0x0453]
[    1.118408] pnp 00:05: [io  0x0458-0x047f]
[    1.118410] pnp 00:05: [io  0x0500-0x057f]
[    1.118411] pnp 00:05: [io  0x164e-0x164f]
[    1.118457] system 00:05: [io  0x0680-0x069f] has been reserved
[    1.118521] system 00:05: [io  0x1000-0x100f] has been reserved
[    1.118600] system 00:05: [io  0x1010-0x1013] has been reserved
[    1.118673] system 00:05: [io  0xffff] has been reserved
[    1.118746] system 00:05: [io  0x0400-0x0453] has been reserved
[    1.118810] system 00:05: [io  0x0458-0x047f] has been reserved
[    1.118873] system 00:05: [io  0x0500-0x057f] has been reserved
[    1.118936] system 00:05: [io  0x164e-0x164f] has been reserved
[    1.119000] system 00:05: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.119012] pnp 00:06: [io  0x0070-0x0077]
[    1.119017] pnp 00:06: [irq 8]
[    1.119042] pnp 00:06: Plug and Play ACPI device, IDs PNP0b00 (active)
[    1.119065] pnp 00:07: [io  0x0454-0x0457]
[    1.119105] system 00:07: [io  0x0454-0x0457] has been reserved
[    1.119169] system 00:07: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[    1.119204] pnp 00:08: [io  0x0060]
[    1.119205] pnp 00:08: [io  0x0064]
[    1.119210] pnp 00:08: [irq 1]
[    1.119236] pnp 00:08: Plug and Play ACPI device, IDs PNP0303 (active)
[    1.119272] pnp 00:09: [irq 12]
[    1.119299] pnp 00:09: Plug and Play ACPI device, IDs SYN1e47 SYN1e00 SYN0002 PNP0f13 (active)
[    1.119425] pnp 00:0a: [mem 0xfed1c000-0xfed1ffff]
[    1.119427] pnp 00:0a: [mem 0xfed10000-0xfed17fff]
[    1.119429] pnp 00:0a: [mem 0xfed18000-0xfed18fff]
[    1.119431] pnp 00:0a: [mem 0xfed19000-0xfed19fff]
[    1.119433] pnp 00:0a: [mem 0xe0000000-0xefffffff]
[    1.119434] pnp 00:0a: [mem 0xfed20000-0xfed3ffff]
[    1.119436] pnp 00:0a: [mem 0xfed90000-0xfed93fff]
[    1.119438] pnp 00:0a: [mem 0xff000000-0xffffffff]
[    1.119440] pnp 00:0a: [mem 0xfee00000-0xfeefffff]
[    1.119442] pnp 00:0a: [mem 0x9fa00000-0x9fa00fff]
[    1.119486] system 00:0a: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    1.119550] system 00:0a: [mem 0xfed10000-0xfed17fff] has been reserved
[    1.119615] system 00:0a: [mem 0xfed18000-0xfed18fff] has been reserved
[    1.119679] system 00:0a: [mem 0xfed19000-0xfed19fff] has been reserved
[    1.119752] system 00:0a: [mem 0xe0000000-0xefffffff] has been reserved
[    1.119816] system 00:0a: [mem 0xfed20000-0xfed3ffff] has been reserved
[    1.119881] system 00:0a: [mem 0xfed90000-0xfed93fff] has been reserved
[    1.119946] system 00:0a: [mem 0xff000000-0xffffffff] could not be reserved
[    1.120011] system 00:0a: [mem 0xfee00000-0xfeefffff] could not be reserved
[    1.120077] system 00:0a: [mem 0x9fa00000-0x9fa00fff] has been reserved
[    1.120141] system 00:0a: Plug and Play ACPI device, IDs PNP0c02 (active)
[    1.122044] pnp 00:0b: [irq 23]
[    1.122089] pnp 00:0b: Plug and Play ACPI device, IDs HPQ0004 (active)
[    1.122113] pnp 00:0c: [mem 0x20000000-0x201fffff]
[    1.122115] pnp 00:0c: [mem 0x40000000-0x401fffff]
[    1.122172] system 00:0c: [mem 0x20000000-0x201fffff] could not be reserved
[    1.122235] system 00:0c: [mem 0x40000000-0x401fffff] could not be reserved
[    1.122301] system 00:0c: Plug and Play ACPI device, IDs PNP0c01 (active)
[    1.122319] pnp: PnP ACPI: found 13 devices
[    1.122379] ACPI: ACPI bus type pnp unregistered
[    1.129198] pci 0000:01:00.0: no compatible bridge window for [mem 0xfffe0000-0xffffffff pref]
[    1.129280] pci 0000:13:00.0: no compatible bridge window for [mem 0xffff0000-0xffffffff pref]
[    1.129360] PCI: max bus depth: 1 pci_try_num: 2
[    1.129390] pci 0000:01:00.0: BAR 6: assigned [mem 0xc6420000-0xc643ffff pref]
[    1.129468] pci 0000:00:01.0: PCI bridge to [bus 01-06]
[    1.129530] pci 0000:00:01.0:   bridge window [io  0x5000-0x5fff]
[    1.129594] pci 0000:00:01.0:   bridge window [mem 0xc6400000-0xc73fffff]
[    1.129659] pci 0000:00:01.0:   bridge window [mem 0xa0000000-0xafffffff 64bit pref]
[    1.129739] pci 0000:00:1c.0: PCI bridge to [bus 07-0c]
[    1.129802] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    1.129869] pci 0000:00:1c.0:   bridge window [mem 0xc5400000-0xc63fffff]
[    1.129936] pci 0000:00:1c.0:   bridge window [mem 0xc0400000-0xc13fffff 64bit pref]
[    1.130017] pci 0000:00:1c.1: PCI bridge to [bus 0d-12]
[    1.130080] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    1.130145] pci 0000:00:1c.1:   bridge window [mem 0xc4400000-0xc53fffff]
[    1.130212] pci 0000:00:1c.1:   bridge window [mem 0xc1400000-0xc23fffff 64bit pref]
[    1.130294] pci 0000:13:00.0: BAR 6: assigned [mem 0xc2400000-0xc240ffff pref]
[    1.130371] pci 0000:00:1c.2: PCI bridge to [bus 13-18]
[    1.130434] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    1.130499] pci 0000:00:1c.2:   bridge window [mem 0xc3400000-0xc43fffff]
[    1.130566] pci 0000:00:1c.2:   bridge window [mem 0xc2400000-0xc33fffff 64bit pref]
[    1.130657] pci 0000:00:01.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.130722] pci 0000:00:01.0: setting latency timer to 64
[    1.130732] pci 0000:00:1c.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    1.130798] pci 0000:00:1c.0: setting latency timer to 64
[    1.130805] pci 0000:00:1c.1: PCI INT B -> GSI 16 (level, low) -> IRQ 16
[    1.130872] pci 0000:00:1c.1: setting latency timer to 64
[    1.130882] pci 0000:00:1c.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[    1.130948] pci 0000:00:1c.2: setting latency timer to 64
[    1.130952] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7]
[    1.130954] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff]
[    1.130956] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
[    1.130958] pci_bus 0000:00: resource 7 [mem 0x9fa00000-0xfeafffff]
[    1.130960] pci_bus 0000:01: resource 0 [io  0x5000-0x5fff]
[    1.130962] pci_bus 0000:01: resource 1 [mem 0xc6400000-0xc73fffff]
[    1.130964] pci_bus 0000:01: resource 2 [mem 0xa0000000-0xafffffff 64bit pref]
[    1.130966] pci_bus 0000:07: resource 0 [io  0x4000-0x4fff]
[    1.130968] pci_bus 0000:07: resource 1 [mem 0xc5400000-0xc63fffff]
[    1.130970] pci_bus 0000:07: resource 2 [mem 0xc0400000-0xc13fffff 64bit pref]
[    1.130972] pci_bus 0000:0d: resource 0 [io  0x3000-0x3fff]
[    1.130974] pci_bus 0000:0d: resource 1 [mem 0xc4400000-0xc53fffff]
[    1.130976] pci_bus 0000:0d: resource 2 [mem 0xc1400000-0xc23fffff 64bit pref]
[    1.130978] pci_bus 0000:13: resource 0 [io  0x2000-0x2fff]
[    1.130979] pci_bus 0000:13: resource 1 [mem 0xc3400000-0xc43fffff]
[    1.130981] pci_bus 0000:13: resource 2 [mem 0xc2400000-0xc33fffff 64bit pref]
[    1.131074] NET: Registered protocol family 2
[    1.131376] IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    1.132518] TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
[    1.133892] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    1.134081] TCP: Hash tables configured (established 524288 bind 65536)
[    1.134144] TCP reno registered
[    1.134217] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[    1.134316] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[    1.134519] NET: Registered protocol family 1
[    1.134592] pci 0000:00:02.0: Boot video device
[    1.134607] pci 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.147705] pci 0000:00:1a.0: PCI INT A disabled
[    1.147818] pci 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[    1.163677] pci 0000:00:1d.0: PCI INT A disabled
[    1.163822] PCI: CLS 64 bytes, default 64
[    1.163868] Unpacking initramfs...
[    1.397368] Freeing initrd memory: 10976k freed
[    1.398743] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.398811] Placing 64MB software IO TLB between ffff880098e34000 - ffff88009ce34000
[    1.398889] software IO TLB at phys 0x98e34000 - 0x9ce34000
[    1.398968] Simple Boot Flag at 0x44 set to 0x1
[    1.399778] audit: initializing netlink socket (disabled)
[    1.399848] type=2000 audit(1332610416.168:1): initialized
[    1.423759] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    1.440928] VFS: Disk quotas dquot_6.5.2
[    1.441026] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    1.441165] msgmni has been set to 15904
[    1.441386] alg: No test for stdrng (krng)
[    1.441480] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    1.441559] io scheduler noop registered
[    1.441618] io scheduler deadline registered
[    1.441704] io scheduler cfq registered (default)
[    1.441846] pcieport 0000:00:01.0: setting latency timer to 64
[    1.441872] pcieport 0000:00:01.0: irq 40 for MSI/MSI-X
[    1.442068] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    1.442153] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    1.442217] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    1.442431] acpiphp: Slot [1] registered
[    1.442717] intel_idle: MWAIT substates: 0x21120
[    1.442718] intel_idle: v0.4 model 0x2A
[    1.442720] intel_idle: lapic_timer_reliable_states 0xffffffff
[    1.442780] ERST: Table is not found!
[    1.442838] GHES: HEST is not enabled!
[    1.442949] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.635601] Linux agpgart interface v0.103
[    1.635736] agpgart-intel 0000:00:00.0: Intel Sandybridge Chipset
[    1.635868] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    1.637087] agpgart-intel 0000:00:00.0: detected 32768K stolen memory
[    1.637271] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xb0000000
[    1.638863] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    1.646199] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.646266] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.646451] mousedev: PS/2 mouse device common for all mice
[    1.646544] rtc_cmos 00:06: RTC can wake from S4
[    1.646730] rtc_cmos 00:06: rtc core: registered rtc_cmos as rtc0
[    1.646824] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    1.647193] cpuidle: using governor ladder
[    1.647696] cpuidle: using governor menu
[    1.647930] TCP cubic registered
[    1.648195] NET: Registered protocol family 10
[    1.648824] Mobile IPv6
[    1.648881] NET: Registered protocol family 17
[    1.648943] Registering the dns_resolver key type
[    1.649445] PM: Hibernation image not present or could not be loaded.
[    1.649460] registered taskstats version 1
[    1.651232] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.658393] rtc_cmos 00:06: setting system clock to 2012-03-24 17:33:36 UTC (1332610416)
[    1.658530] Initializing network drop monitor service
[    1.659651] Freeing unused kernel memory: 568k freed
[    1.659773] Write protecting the kernel read-only data: 6144k
[    1.662317] Freeing unused kernel memory: 676k freed
[    1.664779] Freeing unused kernel memory: 668k freed
[    1.728898] udevd[76]: starting version 175
[    1.746029] usbcore: registered new interface driver usbfs
[    1.746125] usbcore: registered new interface driver hub
[    1.748721] usbcore: registered new device driver usb
[    1.749297] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.749392] ehci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.749484] ehci_hcd 0000:00:1a.0: setting latency timer to 64
[    1.749489] ehci_hcd 0000:00:1a.0: EHCI Host Controller
[    1.749582] ehci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    1.749700] ehci_hcd 0000:00:1a.0: debug port 2
[    1.751639] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    1.751838] r8169 0000:07:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.752120] r8169 0000:07:00.0: setting latency timer to 64
[    1.752222] r8169 0000:07:00.0: irq 41 for MSI/MSI-X
[    1.752757] SCSI subsystem initialized
[    1.753108] r8169 0000:07:00.0: eth0: RTL8168evl/8111evl at 0xffffc90000c70000, 10:1f:74:18:86:21, XID 0c900800 IRQ 41
[    1.753263] r8169 0000:07:00.0: eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    1.753651] ehci_hcd 0000:00:1a.0: cache line size of 64 is not supported
[    1.753672] ehci_hcd 0000:00:1a.0: irq 16, io mem 0xc740a000
[    1.754734] libata version 3.00 loaded.
[    1.760758] thermal LNXTHERM:00: registered as thermal_zone0
[    1.760823] ACPI: Thermal Zone [THRM] (69 C)
[    1.767087] ehci_hcd 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    1.767204] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.767268] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.767346] usb usb1: Product: EHCI Host Controller
[    1.767407] usb usb1: Manufacturer: Linux 3.2.0-2-amd64 ehci_hcd
[    1.767469] usb usb1: SerialNumber: 0000:00:1a.0
[    1.767755] hub 1-0:1.0: USB hub found
[    1.767819] hub 1-0:1.0: 2 ports detected
[    1.767953] ehci_hcd 0000:00:1d.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[    1.768099] ehci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.768103] ehci_hcd 0000:00:1d.0: EHCI Host Controller
[    1.768171] ehci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.768274] ehci_hcd 0000:00:1d.0: debug port 2
[    1.772210] ehci_hcd 0000:00:1d.0: cache line size of 64 is not supported
[    1.772293] ehci_hcd 0000:00:1d.0: irq 20, io mem 0xc7409000
[    1.787078] ehci_hcd 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    1.787189] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    1.787254] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.787331] usb usb2: Product: EHCI Host Controller
[    1.787392] usb usb2: Manufacturer: Linux 3.2.0-2-amd64 ehci_hcd
[    1.787455] usb usb2: SerialNumber: 0000:00:1d.0
[    1.787760] hub 2-0:1.0: USB hub found
[    1.787825] hub 2-0:1.0: 2 ports detected
[    1.787992] ahci 0000:00:1f.2: version 3.0
[    1.788025] ahci 0000:00:1f.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    1.788169] ahci 0000:00:1f.2: irq 42 for MSI/MSI-X
[    1.803082] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 6 ports 6 Gbps 0x21 impl SATA mode
[    1.803166] ahci 0000:00:1f.2: flags: 64bit ncq sntf pm led clo pio slum part ems apst 
[    1.803248] ahci 0000:00:1f.2: setting latency timer to 64
[    1.811688] scsi0 : ahci
[    1.812029] scsi1 : ahci
[    1.812254] scsi2 : ahci
[    1.812497] scsi3 : ahci
[    1.812734] scsi4 : ahci
[    1.812950] scsi5 : ahci
[    1.813129] ata1: SATA max UDMA/133 abar m2048@0xc7408000 port 0xc7408100 irq 42
[    1.813207] ata2: DUMMY
[    1.813263] ata3: DUMMY
[    1.813318] ata4: DUMMY
[    1.813375] ata5: DUMMY
[    1.813432] ata6: SATA max UDMA/133 abar m2048@0xc7408000 port 0xc7408380 irq 42
[    2.078765] usb 1-1: new high-speed USB device number 2 using ehci_hcd
[    2.130704] ata6: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    2.134361] ata6.00: ATAPI: hp       CDDVDW TS-L633R, 0400, max UDMA/100
[    2.138698] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    2.139198] ata1.00: ATA-8: TOSHIBA MK6476GSX, GS001C, max UDMA/100
[    2.139264] ata1.00: 1250263728 sectors, multi 16: LBA48 NCQ (depth 31/32), AA
[    2.139869] ata1.00: configured for UDMA/100
[    2.140185] scsi 0:0:0:0: Direct-Access     ATA      TOSHIBA MK6476GS GS00 PQ: 0 ANSI: 5
[    2.141373] ata6.00: configured for UDMA/100
[    2.149157] scsi 5:0:0:0: CD-ROM            hp       CDDVDW TS-L633R  0400 PQ: 0 ANSI: 5
[    2.153202] sd 0:0:0:0: [sda] 1250263728 512-byte logical blocks: (640 GB/596 GiB)
[    2.153340] sd 0:0:0:0: [sda] Write Protect is off
[    2.153402] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.153417] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.211177] usb 1-1: New USB device found, idVendor=8087, idProduct=0024
[    2.211255] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.211748] hub 1-1:1.0: USB hub found
[    2.211921] hub 1-1:1.0: 6 ports detected
[    2.268243]  sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
[    2.269363] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.281702] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[    2.281784] cdrom: Uniform CD-ROM driver Revision: 3.20
[    2.282024] sr 5:0:0:0: Attached scsi CD-ROM sr0
[    2.322480] usb 2-1: new high-speed USB device number 2 using ehci_hcd
[    2.394392] Refined TSC clocksource calibration: 2195.013 MHz.
[    2.394479] Switching to clocksource tsc
[    2.454682] usb 2-1: New USB device found, idVendor=8087, idProduct=0024
[    2.454747] usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.455046] hub 2-1:1.0: USB hub found
[    2.455271] hub 2-1:1.0: 6 ports detected
[    2.526358] usb 1-1.2: new high-speed USB device number 3 using ehci_hcd
[    2.716224] usb 1-1.2: New USB device found, idVendor=5986, idProduct=02ac
[    2.716323] usb 1-1.2: New USB device strings: Mfr=3, Product=1, SerialNumber=2
[    2.716399] usb 1-1.2: Product: HP TrueVision HD
[    2.716458] usb 1-1.2: Manufacturer: HP TrueVision HD
[    2.716518] usb 1-1.2: SerialNumber: 0x0003
[    2.790213] usb 2-1.1: new low-speed USB device number 3 using ehci_hcd
[    2.886532] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=8607
[    2.886633] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.886710] usb 2-1.1: Product: HP Mobile USB Optical Mouse
[    2.886771] usb 2-1.1: Manufacturer: PixArt
[    2.891951] input: PixArt HP Mobile USB Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input1
[    2.892196] generic-usb 0003:03F0:8607.0001: input,hidraw0: USB HID v1.11 Mouse [PixArt HP Mobile USB Optical Mouse] on usb-0000:00:1d.0-1.1/input0
[    2.892295] usbcore: registered new interface driver usbhid
[    2.892353] usbhid: USB HID core driver
[    3.653540] PM: Starting manual resume from disk
[    3.653615] PM: Hibernation image partition 8:6 present
[    3.653617] PM: Looking for hibernation image.
[    3.678247] PM: Image not found (code -22)
[    3.678250] PM: Hibernation image not present or could not be loaded.
[    3.731352] kjournald starting.  Commit interval 5 seconds
[    3.731504] EXT3-fs (sda5): mounted filesystem with ordered data mode
[    6.048848] udevd[322]: starting version 175
[    7.164906] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:02/PNP0C0D:00/input/input2
[    7.165938] ACPI: AC Adapter [AC] (on-line)
[    7.166965] ACPI: Lid Switch [LID]
[    7.198569] ACPI: Battery Slot [BAT0] (battery present)
[    7.198699] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3
[    7.198782] ACPI: Power Button [PWRB]
[    7.198876] hp_accel: laptop model unknown, using default axes configuration
[    7.198894] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
[    7.198897] ACPI: Power Button [PWRF]
[    7.327714] rts_pstor: module is from the staging directory, the quality is unknown, you have been warned.
[    7.328473] Initializing Realtek PCIE storage driver...
[    7.328563] rts_pstor 0000:13:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    7.328671] Resource length: 0x1000
[    7.328741] Original address: 0xc3400000, remapped address: 0xffffc90000c68000
[    7.330261] pci->irq = 18
[    7.330318] rtsx_acquire_irq: chip->msi_en = 0, pci->irq = 18
[    7.330404] rts_pstor 0000:13:00.0: setting latency timer to 64
[    7.378874] iTCO_vendor_support: vendor-support=0
[    7.386852] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.07
[    7.386979] iTCO_wdt: Found a Cougar Point TCO device (Version=2, TCOBASE=0x0460)
[    7.387115] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    7.401735] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 19 (level, low) -> IRQ 19
[    7.401817] ACPI: resource 0000:00:1f.3 [io  0x6040-0x605f] conflicts with ACPI region SMBI [io 0x6040-0x604f]
[    7.401898] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    7.406391] input: PC Speaker as /devices/platform/pcspkr/input/input5
[    7.469705] [drm] Initialized drm 1.1.0 20060810
[    7.532901] scsi6 : SCSI emulation for PCI-Express Mass Storage devices
[    7.533057] rts_pstor: waiting for device to settle before scanning
[    7.869917] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    7.869986] i915 0000:00:02.0: setting latency timer to 64
[    7.869997] [drm:drm_pci_agp_init] *ERROR* Cannot initialize the agpgart module.
[    7.870078] BUG: unable to handle kernel paging request at 0000000000001990
[    7.870223] IP: [<ffffffffa02b82ee>] intel_fb_restore_mode+0x9/0x3f [i915]
[    7.870349] PGD 252ae2067 PUD 2554e8067 PMD 0 
[    7.870529] Oops: 0000 [#1] SMP 
[    7.870667] CPU 0 
[    7.870710] Modules linked in: i915(+) snd_seq snd_timer snd_seq_device crc8 snd drm_kms_helper soundcore drm snd_page_alloc pcspkr i2c_i801 iTCO_wdt iTCO_vendor_support i2c_algo_bit i2c_core rts_pstor(C) cordic evdev processor psmouse wmi(+) hp_accel(+) battery button video ac lis3lv02d input_polldev serio_raw power_supply ext3 jbd mbcache usbhid hid sr_mod cdrom sd_mod crc_t10dif ahci libahci libata scsi_mod r8169 thermal mii thermal_sys ehci_hcd usbcore usb_common [last unloaded: scsi_wait_scan]
[    7.873049] 
[    7.873102] Pid: 413, comm: modprobe Tainted: G         C   3.2.0-2-amd64 #1 Hewlett-Packard HP Pavilion dv6 Notebook PC/3581
[    7.873299] RIP: 0010:[<ffffffffa02b82ee>]  [<ffffffffa02b82ee>] intel_fb_restore_mode+0x9/0x3f [i915]
[    7.873436] RSP: 0018:ffff8802537ddcc8  EFLAGS: 00010246
[    7.873497] RAX: 0000000000000000 RBX: ffff880255d49800 RCX: ffffffffa0244c7b
[    7.873563] RDX: ffffffffa023f4f0 RSI: ffffffffa0244c60 RDI: ffff880255d49800
[    7.873627] RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000000
[    7.873692] R10: 0000000000000001 R11: ffff880255d49800 R12: 00000000ffffffea
[    7.873757] R13: ffffffffa02c1540 R14: ffff880255d49800 R15: ffff880256881090
[    7.873822] FS:  00007f74e7130700(0000) GS:ffff88025fa00000(0000) knlGS:0000000000000000
[    7.873900] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[    7.873963] CR2: 0000000000001990 CR3: 0000000252ae6000 CR4: 00000000000406f0
[    7.874028] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[    7.874094] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[    7.874159] Process modprobe (pid: 413, threadinfo ffff8802537dc000, task ffff88025375d710)
[    7.874237] Stack:
[    7.874293]  ffff880255d49800 ffffffffa028d80d ffff880255d49800 ffff880255d49800
[    7.874530]  ffffffffa02d3000 ffffffffa022b7cd ffff880255d49800 ffff880255d49800
[    7.874768]  ffffffffa02d3000 00000000ffffffea ffffffffa02c1540 ffffffffa0230298
[    7.875005] Call Trace:
[    7.875074]  [<ffffffffa028d80d>] ? i915_driver_lastclose+0x27/0x57 [i915]
[    7.875143]  [<ffffffffa022b7cd>] ? drm_lastclose+0x40/0x28b [drm]
[    7.875211]  [<ffffffffa0230298>] ? drm_fill_in_dev+0x174/0x17c [drm]
[    7.875279]  [<ffffffffa0231fcd>] ? drm_get_pci_dev+0xbe/0x253 [drm]
[    7.875344]  [<ffffffff8107074d>] ? arch_local_irq_save+0x11/0x17
[    7.875410]  [<ffffffff811c3edb>] ? local_pci_probe+0x39/0x68
[    7.875474]  [<ffffffff811c4984>] ? pci_device_probe+0xcd/0xfa
[    7.875539]  [<ffffffff8124dbe9>] ? driver_probe_device+0xa8/0x138
[    7.875603]  [<ffffffff8124dcc8>] ? __driver_attach+0x4f/0x6f
[    7.875666]  [<ffffffff8124dc79>] ? driver_probe_device+0x138/0x138
[    7.875731]  [<ffffffff8124cf19>] ? bus_for_each_dev+0x44/0x78
[    7.875794]  [<ffffffff8124d581>] ? bus_add_driver+0xa2/0x1f2
[    7.875859]  [<ffffffffa02e1000>] ? 0xffffffffa02e0fff
[    7.875921]  [<ffffffff8124e0ed>] ? driver_register+0x8d/0xf5
[    7.875984]  [<ffffffffa02e1000>] ? 0xffffffffa02e0fff
[    7.876046]  [<ffffffff811c5163>] ? __pci_register_driver+0x4d/0xb6
[    7.876111]  [<ffffffffa02e1000>] ? 0xffffffffa02e0fff
[    7.876173]  [<ffffffff81002085>] ? do_one_initcall+0x75/0x12c
[    7.876237]  [<ffffffffa02e1000>] ? 0xffffffffa02e0fff
[    7.876301]  [<ffffffff81074ef1>] ? sys_init_module+0x10c/0x25b
[    7.876366]  [<ffffffff8134e012>] ? system_call_fastpath+0x16/0x1b
[    7.876430] Code: 19 00 00 00 00 00 00 5e 5b 5d 41 5c 41 5d c3 48 8b 87 48 03 00 00 48 8b b8 90 19 00 00 e9 fd 12 f2 ff 41 53 48 8b 87 48 03 00 00 <48> 8b b8 90 19 00 00 e8 4c 07 f2 ff 84 c0 74 23 41 5a 48 c7 c1 
[    7.879115] RIP  [<ffffffffa02b82ee>] intel_fb_restore_mode+0x9/0x3f [i915]
[    7.879234]  RSP <ffff8802537ddcc8>
[    7.879292] CR2: 0000000000001990
[    7.879375] ---[ end trace 86f44523cd5e53ff ]---
[    7.990059] cfg80211: Calling CRDA to update world regulatory domain
[    8.040195] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.5, id: 0x1e0b1, caps: 0xd00073/0x240000/0xa0400
[    8.070944] [drm] radeon kernel modesetting enabled.
[    8.071018] VGA switcheroo: detected switching method \_SB_.PCI0.GFX0.ATPX handle
[    8.071141] radeon 0000:01:00.0: enabling device (0000 -> 0003)
[    8.071209] radeon 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    8.071278] radeon 0000:01:00.0: setting latency timer to 64
[    8.088638] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input6
[    8.131786] lis3lv02d: 8 bits 3DC sensor found
[    8.531719] rts_pstor: device scan complete
[    8.531869] scsi 6:0:0:0: Direct-Access     Generic- xD/SD/M.S.       1.00 PQ: 0 ANSI: 0 CCS
[    8.531987] Bad LUN (0:1)
[    8.532130] Bad target number (1:0)
[    8.532269] Bad target number (2:0)
[    8.532410] Bad target number (3:0)
[    8.532549] Bad target number (4:0)
[    8.532687] Bad target number (5:0)
[    8.532785] Bad target number (6:0)
[    8.532879] Bad target number (7:0)
[    8.533210] sd 6:0:0:0: [sdb] Attached SCSI removable disk
[    8.563655] input: ST LIS3LV02DL Accelerometer as /devices/platform/lis3lv02d/input/input7
[    8.563990] Registered led device: hp::hddprotect
[    8.564063] hp_accel: driver loaded
[    8.564306] wmi: Mapper loaded
[    8.580939] brcmsmac 0000:0d:00.0: bus 13 slot 0 func 0 irq 3
[    8.581047] brcmsmac 0000:0d:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    8.581118] brcmsmac 0000:0d:00.0: setting latency timer to 64
[    8.740976] input: HP WMI hotkeys as /devices/virtual/input/input8
[    8.748472] Linux media interface: v0.10
[    8.750565] Linux video capture interface: v2.00
[    8.784610] uvcvideo: Found UVC 1.00 device HP TrueVision HD (5986:02ac)
[    8.791840] input: HP TrueVision HD as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input9
[    8.792003] usbcore: registered new interface driver uvcvideo
[    8.792064] USB Video Class driver (1.1.1)
[    9.086704] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.610151] cfg80211: World regulatory domain updated:
[    9.610217] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    9.610299] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.610388] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.610466] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.610544] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.610623] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.610885] cfg80211: Calling CRDA for country: US
[    9.614242] cfg80211: Regulatory domain changed to country: US
[    9.614305] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    9.614393] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[    9.614471] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[    9.614550] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.614626] cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.614703] cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.614781] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   22.707655] Adding 15907836k swap on /dev/sda6.  Priority:-1 extents:1 across:15907836k 
[   22.919135] EXT3-fs (sda5): using internal journal
[   23.084306] device-mapper: uevent: version 1.0.3
[   23.084502] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-devel@redhat.com
[   23.287845] loop: module loaded
[   24.419937] fuse init (API version 7.17)
[   62.894445] usb 2-1.1: USB disconnect, device number 3
[   64.370334] usb 2-1.1: new low-speed USB device number 4 using ehci_hcd
[   64.467033] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=8607
[   64.467120] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   64.467195] usb 2-1.1: Product: HP Mobile USB Optical Mouse
[   64.467256] usb 2-1.1: Manufacturer: PixArt
[   64.470204] input: PixArt HP Mobile USB Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input10
[   64.470631] generic-usb 0003:03F0:8607.0002: input,hidraw0: USB HID v1.11 Mouse [PixArt HP Mobile USB Optical Mouse] on usb-0000:00:1d.0-1.1/input0



** Model information
sys_vendor: Hewlett-Packard
product_name: HP Pavilion dv6 Notebook PC
product_version: 058F110000244610000620100
chassis_vendor: Hewlett-Packard
chassis_version: Chassis Version
bios_vendor: Hewlett-Packard
bios_version: F.1A
board_vendor: Hewlett-Packard
board_name: 3581
board_version: 10.31

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0104] (rev 09)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [8086:0101] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=06, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: c6400000-c73fffff
	Prefetchable memory behind bridge: 00000000a0000000-00000000afffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 6000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 3
	Region 0: Memory at c7404000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at c740a000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 05)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at c7400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b5) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: c5400000-c63fffff
	Prefetchable memory behind bridge: 00000000c0400000-00000000c13fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 [8086:1c12] (rev b5) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=12, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: c4400000-c53fffff
	Prefetchable memory behind bridge: 00000000c1400000-00000000c23fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 [8086:1c14] (rev b5) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=13, subordinate=18, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: c3400000-c43fffff
	Prefetchable memory behind bridge: 00000000c2400000-00000000c33fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at c7409000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation HM65 Express Chipset Family LPC Controller [8086:1c49] (rev 05)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller [8086:1c03] (rev 05) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 42
	Region 0: I/O ports at 6098 [size=8]
	Region 1: I/O ports at 60bc [size=4]
	Region 2: I/O ports at 6090 [size=8]
	Region 3: I/O ports at 60b8 [size=4]
	Region 4: I/O ports at 6060 [size=32]
	Region 5: Memory at c7408000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 05)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at c7406000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 6040 [size=32]

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Seymour [Radeon HD 6400M Series] [1002:6760] (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at a0000000 (64-bit, prefetchable) [size=256M]
	Region 2: Memory at c6400000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 5000 [size=256]
	Expansion ROM at c6420000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

07:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: I/O ports at 4000 [size=256]
	Region 2: Memory at c0404000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at c0400000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

0d:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:145c]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at c4400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: brcmsmac

13:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5116 PCI Express Card Reader [10ec:5209] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:3581]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at c3400000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at c2400000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: rts_pstor


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 5986:02ac Acer, Inc 
Bus 002 Device 015: ID 03f0:8607 Hewlett-Packard 


-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-2-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.41
ii  initramfs-tools [linux-initramfs-tool]  0.101
ii  linux-base                              3.5
ii  module-init-tools                       3.16-1

Versions of packages linux-image-3.2.0-2-amd64 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.2.0-2-amd64 suggests:
pn  grub-pc        1.99-17
pn  linux-doc-3.2  <none>

Versions of packages linux-image-3.2.0-2-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      0.35
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        0.35
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  0.35
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-2-amd64/postinst/ignoring-ramdisk:
  linux-image-3.2.0-2-amd64/postinst/depmod-error-initrd-3.2.0-2-amd64: false
  linux-image-3.2.0-2-amd64/postinst/missing-firmware-3.2.0-2-amd64:
  linux-image-3.2.0-2-amd64/prerm/removing-running-kernel-3.2.0-2-amd64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sun, 25 Mar 2012 13:03:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Anders E. Andersen" <andersa@ellenshoej.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Mar 2012 13:03:55 GMT) Full text and rfc822 format available.

Message #10 received at 665493@bugs.debian.org (full text, mbox):

From: "Anders E. Andersen" <andersa@ellenshoej.dk>
To: 665493@bugs.debian.org
Subject: Re: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sun, 25 Mar 2012 14:55:27 +0200
This means you can't install debian testing at the moment, since the 
installer will upgrade the kernel to this version which won't boot 
afterwards.

d-i bug #665718




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Fri, 25 May 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Nijhof <jeroen@nijhof.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 May 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 665493@bugs.debian.org (full text, mbox):

From: Jeroen Nijhof <jeroen@nijhof.co.uk>
To: 665493@bugs.debian.org
Subject: The problem is hotplug acpi
Date: Fri, 25 May 2012 22:32:55 +0200
[Message part 1 (text/plain, inline)]
Hello again,

Upgrading to 3.2.17-1 did not help, so I started to compile linux-stable
v.3.2.6 and v3.2.15. It turns out that the problem is not the patches
between them, but the changed configuration: 

on my  HP Pavilion dv6 laptop, linux-stable v3.2.15 boots ok when
compiled with the configuration file from linux-image-3.2.0-1-amd64 (v3.2.6-1),
but not with the one from linux-image-3.2.0-2-amd64 (v3.2.17-1).

Bisecting the configuration, the offending change is the one from

          CONFIG_HOTPLUG_PCI_ACPI=m
to 
          CONFIG_HOTPLUG_PCI_ACPI=y

(see the attached configuration files: with config.good it boots fine,
config.bad doesn't).
So apparently that laptop does not like ACPI hotplug.

If I understand it correctly CONFIG_HOTPLUG_PCI_ACPI=m results in module
acpiphp. In the 3.2.0-1 kernel that is not loaded; but loading it after booting
(with 'modprobe acpiphp') doesn't cause any crashes.

Is there a kernel boot parameter, maybe, with which I can disable the
built-in ACPI hotplug?

By the way, the modprobe timeouts mentioned in the original bug reports
are for the 00:1b.0 Intel audio controller and for the
01:00.0 the Radeon VGA controler.

[config.good (text/plain, attachment)]
[config.bad (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Fri, 25 May 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 25 May 2012 21:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 665493@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jeroen Nijhof <jeroen@nijhof.co.uk>
Cc: 665493@bugs.debian.org, "Anders E. Andersen" <andersa@ellenshoej.dk>
Subject: Re: timeout on modprobe -b pci:xxxx, oopses (Re: The problem is hotplug acpi)
Date: Fri, 25 May 2012 16:32:20 -0500
found 665493 linux-2.6/3.2.17-1
quit

Hi Jeroen,

Jeroen Nijhof wrote:

> [Subject: Bug#665493: The problem is hotplug acpi]

Please keep in mind that these appear as emails in a crowded inbox, so
a subject line can help a lot in providing valuable context.

[...]
> on my  HP Pavilion dv6 laptop, linux-stable v3.2.15 boots ok when
> compiled with the configuration file from linux-image-3.2.0-1-amd64 (v3.2.6-1),
> but not with the one from linux-image-3.2.0-2-amd64 (v3.2.17-1).
>
> Bisecting the configuration, the offending change is the one from
>
>           CONFIG_HOTPLUG_PCI_ACPI=m
> to 
>           CONFIG_HOTPLUG_PCI_ACPI=y
[...]
> So apparently that laptop does not like ACPI hotplug.

Nice detective work.

Does 3.3.y from experimental behave the same way?

If so, please send a summary of the symptoms to linux-pci@vger.kernel.org,
cc-ing either me or this bug log so we can track it.  Be sure to
mention:

 - steps to reproduce, expected result, actual result, and how the
   difference indicates a bug (should be simple enough in this case)
 - how reproducible this is (80% of the time? 100%?)
 - a full "dmesg" output from booting and reproducing the bug, as an
   attachment or link
 - "acpidump" output, as another attachment or link
 - which kernel versions you have tried and what happened with each
 - any other weird symptoms or workarounds
 - what kind of debugging you'd be able to do to track this down ---
   e.g., can you test patches?
 - a link to http://bugs.debian.org/665493 for the backstory

If we're lucky, someone might come up with commands to run or a patch
to try to track this down further.

Hope that helps,
Jonathan




Marked as found in versions linux-2.6/3.2.17-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 25 May 2012 21:36:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#665493; Package linux-2.6. (Mon, 28 May 2012 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 28 May 2012 05:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 665493-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 665493-quiet@bugs.debian.org
Subject: Re: HP Pavilion dv6 laptop fails to boot with CONFIG_HOTPLUG_PCI_ACPI=y
Date: Mon, 28 May 2012 00:13:51 -0500
[Message part 1 (text/plain, inline)]
Jonathan Nieder wrote:
> Jeroen Nijhof wrote:
 
>> config-3.2.15-good booted alright, but with
>> config-3.2.15-bad, with CONFIG_HOTPLUG_PCI_ACPI changed from 'm' to 'y'
>> it did not -- failing one way or the other 100% of the time.
>>
>> The problem persists with Debian's linux-image-3.3.0-trunk-amd64:amd64 
>> v. 3.3.6-1~experimental.1 . And also with upstream v3.4.0: 
>> compiled with the attached config-3.4.0-good (= Debian's
>> config-3.2.0-1-amd64  + make oldconfig and accept defaults) it boots fine,
>> but compiled with config-3.4.0-bad (= config-3.2.0-2-amd64 + make oldconfig)
>> it does not.
>>
>> What happens for the bad v3.4.0 is that the booting gets half-way,
>> but then gets stuck after "cfg80221: Calling CRDA for country: US".
>> Pressing control-C then makes it continue with
>[...]
>> It then continues to the extent that I can log in, but it keeps
>> switching virtual terminals every few seconds. I did manage to capture
>> dmesg, though -- attached as dmesg-3.4.0-bad (up to 7.83 s before the control-C,
>> from 34.94 after the control-C). 
>[...]
>> Since the Oops mentioned a lock, I thought I'ld try turn on lockdep,
>> starting from config-3.4.0-bad and set
>> CONFIG_LOCKDEP=y and CONFIG_PROVE_LOCKING=y , resulting in
>> config-3.4.0-also-good . Unfortunately, this one boots without problems!
>> The dmesg output from this kernel is attached as dmesg-3.4.0-also-good.
>>
>> Finally, I've attached the output of acpidump (acpidump.out).
>
> Attaching since these seem not to have hit the BTS.
>
> config-3.2.15-good		config for 3.2.15, boots ok
> config-3.2.15-bad		config for 3.2.15, fails to boot
> config-3.4.0-good		config for 3.4.0, boots ok
> config-3.4.0-bad		config for 3.4.0, fails to boot
> dmesg-3.4.0-bad		dmesg output for failing 3.4.0 kernel
> config-3.4.0-also-good		config for 3.4.0 with lockdep, boots ok
> dmesg-3.4.0-also-good		dmesg output for working 3.4.0 kernel
> acpidump.out		output from acpidump

One more try, compressed this time.
[acpidump.out.xz (application/x-xz, attachment)]
[config-3.2.15-bad.xz (application/x-xz, attachment)]
[config-3.2.15-good.xz (application/x-xz, attachment)]
[config-3.4.0-also-good.xz (application/x-xz, attachment)]
[config-3.4.0-bad.xz (application/x-xz, attachment)]
[config-3.4.0-good.xz (application/x-xz, attachment)]
[dmesg-3.4.0-also-good.xz (application/x-xz, attachment)]
[dmesg-3.4.0-bad.xz (application/x-xz, attachment)]

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.kernel.pci/15559'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 28 May 2012 05:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Wed, 25 Jul 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Jul 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Debian Bug Tracking System <665493@bugs.debian.org>
Subject: Re: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Wed, 25 Jul 2012 16:47:49 +0200
Package: linux-2.6
Followup-For: Bug #665493

Dear Maintainer,

I'm seeing the same symptoms as the original reporter on a free install of wheezy on an HP Folio 13-2000.

Since I seem to be too stupid to compile a booting custom kernel I installed linux-image-3.2.0-0.bpo.2-amd64 (3.2.20-1~bpo60+1) – and it works.

Cheers,
Stefan Nagy.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Tue, 31 Jul 2012 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 Jul 2012 16:39:07 GMT) Full text and rfc822 format available.

Message #39 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 665493@bugs.debian.org
Subject: Re: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Tue, 31 Jul 2012 18:36:59 +0200
[Message part 1 (text/plain, inline)]
Sorry, I forgot to attach my output of dmesg & acpidump last time. BTW,
I was talking about a fresh install of wheezy (weekly build 2012-07-16).

@ Jeroen Nijhof:
> Is there a kernel boot parameter, maybe, with which I can disable the
> built-in ACPI hotplug?

I use option pci=noacpi with linux-image-3.2.0-3-amd64 (3.2.21-3) and it
works without any problems.

Cheers,
Stefan.
[dmesg-folio13.xz (application/x-xz, attachment)]
[acpidump-folio13.xz (application/x-xz, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sun, 26 Aug 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Aug 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #44 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 665493@bugs.debian.org
Subject: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sun, 26 Aug 2012 21:37:31 +0200
[Message part 1 (text/plain, inline)]
As the original reporter pointed out, this bug is triggered by a change
in the debian kernel configuration regarding the ACPI PCI Hotplug driver
[1]. Since kernel update linux-image-3.2.0-2-amd64 (3.2.10-1) this
driver is build in (CONFIG_HOTPLUG_PCI_ACPI=y) instead of being compiled
as a module (CONFIG_HOTPLUG_PCI_ACPI=m).

The kernel changelog lists Ben Hutchings as author for this change:
- [x86] Change HOTPLUG_PCI_ACPI to built-in (Closes: #663433) [2]

The reason for this decision was that the ACPI PCI Hotplug driver didn't
get loaded on machines which need it for ExpressCard hotplugging to work
[3].

Since this bug got no attention at all on the kernel-pci mailinglist for
three months now [4] I wanted to file a bugreport upstream against
driver: pci – but I'm not sure what to do now since it doesn't seem to
be very safe to build-in this driver and maybe the debian kernel team
wants to reconsider this decision…?

Please tell me if this decision is final – even though the kernel fails
to load on at least two recent machines with the ACPI PCI Hotplug driver
build in. If it is I'll file a bugreport upstream.

Thanks,
Stefan.



P.S. The default kernel configuration for this item is
CONFIG_HOTPLUG_PCI_ACPI=n. I also had a look at this configuration item
in Ubuntu – it's set to CONFIG_HOTPLUG_PCI_ACPI=m.

[1] http://cateee.net/lkddb/web-lkddb/HOTPLUG_PCI_ACPI.html
[2]
http://packages.debian.org/changelogs/pool/main/l/linux/linux_3.2.23-1/changelog#version3.2.10-1
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663433
[4] http://thread.gmane.org/gmane.linux.kernel.pci/15559
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sun, 26 Aug 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Aug 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #49 received at 665493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Nagy <public@stefan-nagy.at>, 665493@bugs.debian.org
Subject: Re: Bug#665493: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sun, 26 Aug 2012 13:37:42 -0700
[Message part 1 (text/plain, inline)]
On Sun, 2012-08-26 at 21:37 +0200, Stefan Nagy wrote:
> As the original reporter pointed out, this bug is triggered by a change
> in the debian kernel configuration regarding the ACPI PCI Hotplug driver
> [1]. Since kernel update linux-image-3.2.0-2-amd64 (3.2.10-1) this
> driver is build in (CONFIG_HOTPLUG_PCI_ACPI=y) instead of being compiled
> as a module (CONFIG_HOTPLUG_PCI_ACPI=m).
> 
> The kernel changelog lists Ben Hutchings as author for this change:
> - [x86] Change HOTPLUG_PCI_ACPI to built-in (Closes: #663433) [2]
> 
> The reason for this decision was that the ACPI PCI Hotplug driver didn't
> get loaded on machines which need it for ExpressCard hotplugging to work
> [3].
> 
> Since this bug got no attention at all on the kernel-pci mailinglist for
> three months now [4] I wanted to file a bugreport upstream against
> driver: pci – but I'm not sure what to do now since it doesn't seem to
> be very safe to build-in this driver and maybe the debian kernel team
> wants to reconsider this decision…?

I think it is the correct decision.  Building it as a module effectively
meant it was disabled on most machine, since it doesn't get auto-loaded.

It may be preferable to return to building it as a module *if* we can
arrange for it to be loaded automatically where it's useful.  But that
presumably would not fix this bug.

> Please tell me if this decision is final – even though the kernel fails
> to load on at least two recent machines with the ACPI PCI Hotplug driver
> build in. If it is I'll file a bugreport upstream.

Please test Linux 3.5 (packaged in experimental) and if that has the
same problem then open an upstream bug report.

> P.S. The default kernel configuration for this item is
> CONFIG_HOTPLUG_PCI_ACPI=n.

The default kernel configuration has a lot of features disabled that
many users need.

> I also had a look at this configuration item
> in Ubuntu – it's set to CONFIG_HOTPLUG_PCI_ACPI=m.

Have you checked whether they add it to /proc/modules?

Ben.

> [1] http://cateee.net/lkddb/web-lkddb/HOTPLUG_PCI_ACPI.html
> [2]
> http://packages.debian.org/changelogs/pool/main/l/linux/linux_3.2.23-1/changelog#version3.2.10-1
> [3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663433
> [4] http://thread.gmane.org/gmane.linux.kernel.pci/15559

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sun, 26 Aug 2012 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Aug 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #54 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Ben Hutchings <ben@decadent.org.uk>, 665493@bugs.debian.org
Subject: Re: Bug#665493: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sun, 26 Aug 2012 23:31:14 +0200
[Message part 1 (text/plain, inline)]
Am Sonntag, den 26.08.2012, 13:37 -0700 schrieb Ben Hutchings:
> Please test Linux 3.5 (packaged in experimental) and if that has the
> same problem then open an upstream bug report.

OK – I already tested linux-image-3.5-trunk-amd64
(3.5.2-1~experimental.1) & the bug is still present, so I'll file the
upstream bug report soon.

> > P.S. The default kernel configuration for this item is
> > CONFIG_HOTPLUG_PCI_ACPI=n.
> 
> The default kernel configuration has a lot of features disabled that
> many users need.

I see.

> > I also had a look at this configuration item
> > in Ubuntu – it's set to CONFIG_HOTPLUG_PCI_ACPI=m.
> 
> Have you checked whether they add it to /proc/modules?

You mean if they add it to /etc/modules, right? I don't know, I haven't
checked this yet.

But this is maybe interesting: When I compile my kernel with
CONFIG_HOTPLUG_PCI_ACPI=m and put acpiphp in /etc/modules I can't
reproduce this bug even though I'm sure the module is loaded:

[   19.299137] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[   19.299341] acpiphp: Slot [1] registered

$ lsmod | grep acpiphp
acpiphp                22567  0 


Stefan.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Mon, 27 Aug 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Aug 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #59 received at 665493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Nagy <public@stefan-nagy.at>
Cc: 665493@bugs.debian.org
Subject: Re: Bug#665493: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Sun, 26 Aug 2012 17:09:54 -0700
[Message part 1 (text/plain, inline)]
[Re-sending with the bug address cc'd.]

On Sun, 2012-08-26 at 23:31 +0200, Stefan Nagy wrote:
> Am Sonntag, den 26.08.2012, 13:37 -0700 schrieb Ben Hutchings:
> > Please test Linux 3.5 (packaged in experimental) and if that has the
> > same problem then open an upstream bug report.
> 
> OK – I already tested linux-image-3.5-trunk-amd64
> (3.5.2-1~experimental.1) & the bug is still present, so I'll file the
> upstream bug report soon.

Thanks.

> > > P.S. The default kernel configuration for this item is
> > > CONFIG_HOTPLUG_PCI_ACPI=n.
> > 
> > The default kernel configuration has a lot of features disabled that
> > many users need.
> 
> I see.
> 
> > > I also had a look at this configuration item
> > > in Ubuntu – it's set to CONFIG_HOTPLUG_PCI_ACPI=m.
> > 
> > Have you checked whether they add it to /proc/modules?
> 
> You mean if they add it to /etc/modules, right?

Hah, yes!

> I don't know, I haven't checked this yet.
> 
> But this is maybe interesting: When I compile my kernel with
> CONFIG_HOTPLUG_PCI_ACPI=m and put acpiphp in /etc/modules I can't
> reproduce this bug even though I'm sure the module is loaded:

Yes, that is interesting - please include this information in the
upstream bug report.

Ben.

> [   19.299137] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
> [   19.299341] acpiphp: Slot [1] registered
> 
> $ lsmod | grep acpiphp
> acpiphp                22567  0 
> 
> 
> Stefan.

-- 
Ben Hutchings
One of the nice things about standards is that there are so many of them.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Mon, 27 Aug 2012 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Aug 2012 16:33:07 GMT) Full text and rfc822 format available.

Message #64 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Ben Hutchings <ben@decadent.org.uk>, 665493@bugs.debian.org
Subject: Re: Bug#665493: linux-image-3.2.0-2-amd64: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Mon, 27 Aug 2012 18:29:52 +0200
[Message part 1 (text/plain, inline)]
Here's the upstrem report:
https://bugzilla.kernel.org/show_bug.cgi?id=46481

Since I filed the bug against the ACPI PCI Hotplug driver I didn't want
to decide if we (me and the original reporter Jeroen Nijhof) are
affected by the same bug – all I know is that the build-in driver causes
similar symptoms. So I wrote the bug report for my machine now.

Cheers,
Stefan.
[signature.asc (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=46481' from 'http://thread.gmane.org/gmane.linux.kernel.pci/15559' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 27 Aug 2012 18:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Sun, 07 Oct 2012 08:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Nijhof <jeroen@nijhof.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 08:57:05 GMT) Full text and rfc822 format available.

Message #71 received at 665493@bugs.debian.org (full text, mbox):

From: Jeroen Nijhof <jeroen@nijhof.co.uk>
To: 665493@bugs.debian.org
Subject: bug fixed in 3.6; patch
Date: Sun, 07 Oct 2012 10:29:17 +0200
[Message part 1 (text/plain, inline)]
tags 665493 patch
quit

As noted in the upstream bugzilla, the bug is fixed in kernel 3.6,
in commit dfb117b3e50c52c7b3416db4a4569224b8db80bb ,
"PCI: acpiphp: check whether _ADR evaluation succeeded".

Attached as a patch below. Applying this on top of 3.2.30 fixes the
problem indeed (and without the patch that still fails).
Would it be possible to apply this to the Debian kernel?

Thanks,

Jeroen Nijhof

[0001-PCI-acpiphp-check-whether-_ADR-evaluation-succeeded.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Jeroen Nijhof <jeroen@nijhof.co.uk> to control@bugs.debian.org. (Sun, 07 Oct 2012 19:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Mon, 08 Oct 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Oct 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 665493@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jeroen Nijhof <jeroen@nijhof.co.uk>, 665493@bugs.debian.org
Subject: Re: Bug#665493: bug fixed in 3.6; patch
Date: Mon, 08 Oct 2012 14:42:06 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-10-07 at 10:29 +0200, Jeroen Nijhof wrote:
> tags 665493 patch
> quit
> 
> As noted in the upstream bugzilla, the bug is fixed in kernel 3.6,
> in commit dfb117b3e50c52c7b3416db4a4569224b8db80bb ,
> "PCI: acpiphp: check whether _ADR evaluation succeeded".
> 
> Attached as a patch below. Applying this on top of 3.2.30 fixes the
> problem indeed (and without the patch that still fails).
> Would it be possible to apply this to the Debian kernel?

This is under review for inclusion in 3.2.31.

Ben.

-- 
Ben Hutchings
Who are all these weirdos? - David Bowie, about L-Space IRC channel #afp
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#665493; Package linux-2.6. (Mon, 08 Oct 2012 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Oct 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #83 received at 665493@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 665493@bugs.debian.org
Subject: Re: Bug#665493: bug fixed in 3.6; patch
Date: Mon, 08 Oct 2012 16:49:31 +0200
I can confirm that the bug is fixed in kernel 3.6 and that applying the
patch provided by Jeroen in Message #71 ("PCI: acpiphp: check whether
_ADR evaluation succeeded") on top of 3.2.30 solves the problem.

Thanks!
Stefan.




Added tag(s) upstream and fixed-upstream. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Thu, 25 Oct 2012 19:27:03 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 25 Oct 2012 19:57:04 GMT) Full text and rfc822 format available.

Notification sent to Jeroen Nijhof <jeroen@nijhof.co.uk>:
Bug acknowledged by developer. (Thu, 25 Oct 2012 19:57:04 GMT) Full text and rfc822 format available.

Message #90 received at 665493-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 665493-done@bugs.debian.org
Subject: Re: kernel fails to boot completely (timeout on modprobe -b pci:xxxx)
Date: Thu, 25 Oct 2012 12:54:15 -0700
Version: 3.2.32-1

Stefan Nagy wrote:

> I can confirm that the bug is fixed in kernel 3.6 and that applying the
> patch provided by Jeroen in Message #71 ("PCI: acpiphp: check whether
> _ADR evaluation succeeded") on top of 3.2.30 solves the problem.

Applied upstream as v3.2.31~37; closing optimistically.  Thanks to
all of you --- Jeroen for finding the patch, Stefan for testing it
so quickly, and Bjorn for the analysis.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Nov 2012 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:22:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.